%define oname	xine-lib
%define branch	1.2

%define oversion	1.2.9

%define major	2
%define libname	%mklibname xine %{major}
%define devname	%mklibname -d xine %{branch}

%define plugin_api	%{major}.7

Summary:	A free multimedia engine
Name:		%{oname}%{branch}
Version:	1.2.10
Release:	%mkrel 2
License:	GPLv2+
URL:		http://xine-project.org/
Source:		http://downloads.sourceforge.net/xine/%{oname}-%{oversion}.tar.xz
Group:		System/Libraries
BuildRequires:	zlib-devel
BuildRequires:	freetype2-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxv-devel
BuildRequires:	libalsa-devel
BuildRequires:	libjack-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	a52dec-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libmagick-devel
BuildRequires:	libmad-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	libmng-devel
BuildRequires:	speex-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	libcdio-devel
BuildRequires:	libvcd-devel
BuildRequires:	lirc-devel
BuildRequires:	aalib-devel
BuildRequires:	libcaca-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	SDL-devel
BuildRequires:	xcb-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxvmc-devel
BuildRequires:	vdpau-devel
BuildRequires:	libflac-devel
BuildRequires:	libv4l-devel
BuildRequires:	bluray-devel
BuildRequires:	xmlto
BuildRequires:	librsvg
BuildRequires:	optipng
BuildRequires:	gettext-devel
BuildRequires:	docbook-dtd44-xml
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	libfaad2-devel
BuildRequires:	libdca-devel
BuildRequires:	libfame-devel


%description
Xine-lib is a free multimedia engine.


%package -n xine%{branch}-common
Summary:	Common files of xine-lib1.2
Group:		System/Libraries

%description -n xine%{branch}-common
Common files for xine-lib1.2, the free multimedia engine.

%package -n %{libname}
Summary:	Shared libraries of xine-lib1.2
Group:		System/Libraries
Provides:	%{libname}-plugin-api = %{plugin_api}
Requires:	xine%{branch}-common >= %{version}

%description -n %{libname}
Shared libraries for xine-lib1.2, the free multimedia engine.

%package -n %{devname}
Summary:	Development files for xine-lib1.2
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	xine1.2-devel = %{version}-%{release}
Conflicts:	libxine-devel < %{version}

%description -n %{devname}
Development libraries and headers for xine-lib1.2, the free
multimedia engine.

%prep
%setup -q -n %{oname}-%{oversion}

%build

export XCB_LIBS="-lxcb -lxcb-shape -lxcb-shm -lxcb-xv"

%configure2_5x \
	--with-w32-path=%{_libdir}/codecs \
	--with-external-dvdnav \

%make_build

%install
rm -rf %buildroot
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/xine-config
mv %{buildroot}%{_mandir}/man5/xine{,-%{branch}}.5
rm -f %{buildroot}%{_libdir}/*.la
mv %{buildroot}%{_datadir}/doc/xine-lib installed-docs

%find_lang libxine%{major}

%files -n xine%{branch}-common -f libxine%{major}.lang
%doc CREDITS NEWS doc/README* doc/faq/faq.txt

%{_bindir}/xine-list-%{branch}
%{_mandir}/man1/xine-list-%{branch}.1*
%{_mandir}/man5/xine-%{branch}.5*

%dir %{_datadir}/xine-lib
%dir %{_datadir}/xine-lib/fonts
%{_datadir}/xine-lib/fonts/*.xinefont.gz

%files -n %{libname}
%{_libdir}/libxine.so.%{major}*
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%dir %{_libdir}/xine/plugins/%{plugin_api}
%{_libdir}/xine/plugins/%{plugin_api}



%files -n %{devname}
%doc installed-docs/*
%{_bindir}/xine-config
%{multiarch_bindir}/xine-config
%{_includedir}/xine.h
%{_includedir}/xine
%{_datadir}/aclocal/xine.m4
%{_libdir}/libxine.so
%{_libdir}/pkgconfig/libxine.pc
%{_mandir}/man1/xine-config.1*


%changelog
* Fri Jan 09 2020 tex - 1.2.10-2pclos2020
- back down to 1.2.9

* Sun Dec 15 2019 tex - 1.2.10-1pclos2020
- new version

* Sat May 04 2019 tex - 1.2.9-1pclos2019
- new
- new vpx lib build

* Sun Jan 07 2018 tex - 1.2.8-4pclos2018
- rebuild against updates

* Tue Sep 12 2017 bb2 <bb2> - 1.2.8-3pclos2017
- rebuild against updates

* Mon Sep 11 2017 bb2 <bb2> - 1.2.8-2pclos2017
- rebuild new gcc

* Sun Mar 12 2017 bb2 <bb2> - 1.2.8-1pclos2017
- update for new ffmpeg
- droping libxine 1.1.x libs
